Loading...
Searching...
No Matches
Magick::DrawableRectangle Class Reference
Inheritance diagram for Magick::DrawableRectangle:

## Public Member Functions

| DrawableRectangle (double upperLeftX_, double upperLeftY_, double lowerRightX_, double lowerRightY_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | upperLeftX (double upperLeftX_)
double | upperLeftX (void) const
void | upperLeftY (double upperLeftY_)
double | upperLeftY (void) const
void | lowerRightX (double lowerRightX_)
double | lowerRightX (void) const
void | lowerRightY (double lowerRightY_)
double | lowerRightY (void) const

## Private Attributes

double | _upperLeftX
double | _upperLeftY
double | _lowerRightX
double | _lowerRightY

## Detailed Description

Definition at line 1401 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableRectangle()

Magick::DrawableRectangle::DrawableRectangle | ( | double | upperLeftX_,
|  | double | upperLeftY_,
|  | double | lowerRightX_,
|  | double | lowerRightY_
| ) |  |

inline

Definition at line 1404 of file Drawable.h.

: _upperLeftX(upperLeftX_),
_upperLeftY(upperLeftY_),
_lowerRightX(lowerRightX_),
_lowerRightY(lowerRightY_)
{ }

## ~DrawableRectangle()

Magick::DrawableRectangle::~DrawableRectangle | ( | void |  | ) |

Definition at line 1077 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableRectangle::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1086 of file Drawable.cpp.

{
return new DrawableRectangle(*this);
}

## lowerRightX() [1/2]

void Magick::DrawableRectangle::lowerRightX | ( | double | lowerRightX_ | ) |

inline

Definition at line 1438 of file Drawable.h.

{
_lowerRightX = lowerRightX_;
}

## lowerRightX() [2/2]

double Magick::DrawableRectangle::lowerRightX | ( | void |  | ) | const

inline

Definition at line 1442 of file Drawable.h.

{
return _lowerRightX;
}

## lowerRightY() [1/2]

void Magick::DrawableRectangle::lowerRightY | ( | double | lowerRightY_ | ) |

inline

Definition at line 1447 of file Drawable.h.

{
_lowerRightY = lowerRightY_;
}

## lowerRightY() [2/2]

double Magick::DrawableRectangle::lowerRightY | ( | void |  | ) | const

inline

Definition at line 1451 of file Drawable.h.

{
return _lowerRightY;
}

## operator()()

void Magick::DrawableRectangle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1080 of file Drawable.cpp.

{
DrawRectangle( context_, _upperLeftX, _upperLeftY,
_lowerRightX, _lowerRightY );
}

## upperLeftX() [1/2]

void Magick::DrawableRectangle::upperLeftX | ( | double | upperLeftX_ | ) |

inline

Definition at line 1420 of file Drawable.h.

{
_upperLeftX = upperLeftX_;
}

## upperLeftX() [2/2]

double Magick::DrawableRectangle::upperLeftX | ( | void |  | ) | const

inline

Definition at line 1424 of file Drawable.h.

{
return _upperLeftX;
}

## upperLeftY() [1/2]

void Magick::DrawableRectangle::upperLeftY | ( | double | upperLeftY_ | ) |

inline

Definition at line 1429 of file Drawable.h.

{
_upperLeftY = upperLeftY_;
}

## upperLeftY() [2/2]

double Magick::DrawableRectangle::upperLeftY | ( | void |  | ) | const

inline

Definition at line 1433 of file Drawable.h.

{
return _upperLeftY;
}

## Field Documentation

## _lowerRightX

double Magick::DrawableRectangle::_lowerRightX

private

Definition at line 1459 of file Drawable.h.

## _lowerRightY

double Magick::DrawableRectangle::_lowerRightY

private

Definition at line 1460 of file Drawable.h.

## _upperLeftX

double Magick::DrawableRectangle::_upperLeftX

private

Definition at line 1457 of file Drawable.h.

## _upperLeftY

double Magick::DrawableRectangle::_upperLeftY

private

Definition at line 1458 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp